Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class DistributionPoint

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.DistributionPoint

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class DistributionPoint
extends ASN1Object

The DistributionPoint object. DistributionPoint ::= SEQUENCE { distributionPoint [0] DistributionPointName OPTIONAL, reasons [1] ReasonFlags OPTIONAL, cRLIssuer [2] GeneralNames OPTIONAL }

Constructor Summary
`DistributionPoint(ASN1Sequence seq)`
`DistributionPoint(DistributionPointName distributionPoint, ReasonFlags reasons, GeneralNames cRLIssuer)`

Method Summary
`GeneralNames` | `getCRLIssuer()`
`DistributionPointName` | `getDistributionPoint()`
`static DistributionPoint` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DistributionPoint` | `getInstance(java.lang.Object obj)`
`ReasonFlags` | `getReasons()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
`java.lang.String` | `toString()`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributionPoint

    public DistributionPoint(ASN1Sequence seq)

### DistributionPoint

    public DistributionPoint(DistributionPointName distributionPoint,
                             ReasonFlags reasons,
                             GeneralNames cRLIssuer)

Method Detail

### getInstance

    public static DistributionPoint getInstance(ASN1TaggedObject obj,
                                                boolean explicit)

### getInstance

    public static DistributionPoint getInstance(java.lang.Object obj)

### getDistributionPoint

    public DistributionPointName getDistributionPoint()

### getReasons

    public ReasonFlags getReasons()

### getCRLIssuer

    public GeneralNames getCRLIssuer()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD